> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Package

> Update an existing shipment package.



## OpenAPI

````yaml /openapi/openapi_fulfillment.json put /commerce/shipments/{shipmentNumber}/packages/{packageId}
openapi: 3.0.3
info:
  description: |-
    <div id="overview_FULFILLMENT">
                <h2>FULFILLMENT</h2>
                <p>The Fulfillment APIs support order management and fulfillment workflows based on the Shipment API and its
                    packages, including supporting needs such as pick waves and manifests. Once an order has been placed, it
                    generally
                    cannot be edited at the order-level. Instead, changes to the items, pricing, and other information must
                    be done at the
                    shipment level with the Shipment API. See the <a href="/concept-guides/fulfillment">Fulfillment user guides</a> for more information about fulfillment in UCP.</p>
                <p>When using the Shipment API to transition a shipment through each stage of its fulfillment process, it
                    can be
                    difficult to remember how to format the next step's endpoint and the expected parameters on-the-fly.
                    Additionally,
                    if a call such as cancellation, adding tracking information, or marking the shipment as fulfilled needs
                    to be performed
                    outside of the usual fulfillment flow, it may be confusing to determine how to perform the action
                    without referring to the
                    documentation. To assist with this, the Shipment API provides guidelines within the response body. This
                    response
                    includes two objects, workflowState and _links, that detail the shipment's next step in the workflow as
                    well as all
                    possible actions currently available to the shipment. Use 
                    <a href="/pages/fulfillment-api-overview">this walkthrough</a> to better 
                    understand how to work with this response data.</p>
                    <p>Use the <strong>Customer Survey</strong> resource to create surveys and gather data from your customers.</p>
                    <p>Use the <strong>Manifests</strong> resource to create shipping manifests for fulfillment partners such as Canada Post that require manifests for groups of shipments.</p>
                    <p>Use the <strong>Pick Wave</strong> resource to generate and process pick waves for picking groups of items at a fulfillment locations.</p>
                    <p>Use the <strong>Shipment</strong>, <strong>Shipment Attributes</strong>, <strong>Shipment Data</strong>, and <strong>Shipment Notification</strong> resources to manage the actual shipments being fulfilled and perform actions on them.</p>
                    <p>Use the <strong>Shipment Packages</strong> resource to create, update, and delete the individual packages within a shipment.</p>
                    <p>Use the <strong>Storefront</strong> resource to retrieve shipment information for the storefront.</p>
                    <p>Use the <strong>Workflow Process</strong> resource to retrieve BPM configurations and the fulfillment steps based on shipment type.</p>
            </div>
  title: Fulfillment  - Production Profile
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
tags:
  - name: CustomerSurvey
  - name: Fulfillment
  - name: FutureShipment
  - name: GiftReceipt
  - name: Manifest
  - name: PickWave
  - name: Rendition
  - name: ShipmentAttributes
  - name: ShipmentContact
  - name: Shipment
  - name: ShipmentData
  - name: ShipmentNotes
  - name: ShipmentPackages
  - name: ShipmentResendEmail
  - name: ShippingNotification
  - name: Storefront
  - name: Substitutions
  - name: WorkflowProcess
paths:
  /commerce/shipments/{shipmentNumber}/packages/{packageId}:
    put:
      tags:
        - ShipmentPackages
      summary: Update Package
      description: Update an existing shipment package.
      parameters:
        - description: If-Match
          in: header
          name: If-Match
          schema:
            type: string
        - description: packageId
          in: path
          name: packageId
          required: true
          schema:
            type: string
        - description: shipmentNumber
          in: path
          name: shipmentNumber
          required: true
          schema:
            format: int32
            type: integer
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FulfillmentPackage'
        description: packageDto
      responses:
        '200':
          content:
            application/hal+json:
              schema:
                $ref: '#/components/schemas/EntityModelOfShipment'
            application/json:
              schema:
                $ref: '#/components/schemas/EntityModelOfShipment'
            application/xml:
              schema:
                $ref: '#/components/schemas/EntityModelOfShipment'
          description: OK
        '201':
          description: Created
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
components:
  schemas:
    FulfillmentPackage:
      properties:
        attributes:
          additionalProperties:
            type: object
          type: object
        auditInfo:
          $ref: '#/components/schemas/FulfillmentAuditInfo'
        carrier:
          type: string
        fxcbDocumentsUrl:
          type: string
        fxcbPackNotificationId:
          type: string
        hasLabel:
          type: boolean
        integratorId:
          type: string
        labelFormat:
          type: string
        manifestId:
          type: string
        measurements:
          $ref: '#/components/schemas/FulfillmentPackageMeasurements'
        packageId:
          type: string
        packagingType:
          type: string
        packingSlipItemDetails:
          items:
            $ref: '#/components/schemas/PackingSlipItemDetailDto'
          type: array
        packingSlipNumber:
          format: int32
          type: integer
        returnCarrier:
          type: string
        returnTrackingNumbers:
          items:
            type: string
          type: array
        returnTrackings:
          items:
            $ref: '#/components/schemas/FulfillmentTracking'
          type: array
        shippingMethodCode:
          type: string
        shippingMethodName:
          type: string
        signatureRequired:
          type: boolean
        stringBarcode:
          type: string
        trackingNumbers:
          items:
            type: string
          type: array
        trackings:
          items:
            $ref: '#/components/schemas/FulfillmentTracking'
          type: array
      title: Package
      type: object
    EntityModelOfShipment:
      properties:
        _links:
          $ref: '#/components/schemas/Links'
        acceptedDate:
          format: date-time
          type: string
        alternateContact:
          $ref: '#/components/schemas/FulfillmentContact'
        appeasementReason:
          $ref: '#/components/schemas/FulfillmentAppeasementReason'
        assignedLocationCode:
          type: string
        attributes:
          additionalProperties:
            type: object
          type: object
        auditInfo:
          $ref: '#/components/schemas/AuditInfo0'
        canceledItems:
          items:
            $ref: '#/components/schemas/CanceledItem'
          type: array
        cartId:
          type: string
        changeMessages:
          items:
            $ref: '#/components/schemas/FulfillmentChangeMessage'
          type: array
        childShipmentNumbers:
          items:
            format: int32
            type: integer
          type: array
        currencyCode:
          type: string
        customer:
          $ref: '#/components/schemas/FulfillmentCustomer'
        customerAccountId:
          format: int32
          type: integer
        customerAddressId:
          format: int32
          type: integer
        customerTaxId:
          type: string
        data:
          additionalProperties:
            type: object
          type: object
        destination:
          $ref: '#/components/schemas/FulfillmentDestination'
        dutyAdjustment:
          format: bigdecimal
          type: number
        dutyTotal:
          format: bigdecimal
          type: number
        email:
          type: string
        externalOrderId:
          type: string
        fulfillmentDate:
          format: date-time
          type: string
        fulfillmentLocationCode:
          type: string
        fulfillmentStatus:
          enum:
            - NotFulfilled
            - Fulfilled
          type: string
        futureDate:
          format: date-time
          type: string
        handlingAdjustment:
          format: bigdecimal
          type: number
        handlingSubtotal:
          format: bigdecimal
          type: number
        handlingTaxAdjustment:
          format: bigdecimal
          type: number
        handlingTaxTotal:
          format: bigdecimal
          type: number
        handlingTotal:
          format: bigdecimal
          type: number
        isAutoAssigned:
          type: boolean
        isExpress:
          type: boolean
        isHistoricalImport:
          type: boolean
        isOptInForSms:
          type: boolean
        items:
          items:
            $ref: '#/components/schemas/FulfillmentItem'
          type: array
        lineItemSubtotal:
          format: bigdecimal
          type: number
        lineItemTaxAdjustment:
          format: bigdecimal
          type: number
        lineItemTaxTotal:
          format: bigdecimal
          type: number
        lineItemTotal:
          format: bigdecimal
          type: number
        orderId:
          type: string
        orderNumber:
          format: int32
          type: integer
        orderSubmitDate:
          format: date-time
          type: string
        originalShipmentNumber:
          format: int32
          type: integer
        packages:
          items:
            $ref: '#/components/schemas/FulfillmentPackage'
          type: array
        parentCheckoutNumber:
          format: int32
          type: integer
        parentShipmentNumber:
          format: int32
          type: integer
        pickStatus:
          enum:
            - AVAILABLE
            - IN_WAVE
            - PICKED
            - TRANSFER
            - COMPLETE
          type: string
        pickType:
          enum:
            - NORMAL
            - SINGLE
            - MULTIPLE
          type: string
        pickWaveNumber:
          format: int32
          type: integer
        pickupInfo:
          additionalProperties:
            type: object
          type: object
        readyForPickup:
          type: boolean
        readyForPickupDate:
          format: date-time
          type: string
        readyToCapture:
          type: boolean
        reassignedItems:
          items:
            $ref: '#/components/schemas/ReassignedItem'
          type: array
        receivedDate:
          format: date-time
          type: string
        rejectedItems:
          items:
            $ref: '#/components/schemas/RejectedItem'
          type: array
        sentCustomerAtStoreNotification:
          type: boolean
        sentCustomerInTransitNotification:
          type: boolean
        shipmentAdjustment:
          format: bigdecimal
          type: number
        shipmentNotes:
          items:
            $ref: '#/components/schemas/FulfillmentShipmentNote'
          type: array
        shipmentNumber:
          format: int32
          type: integer
        shipmentStatus:
          enum:
            - READY
            - REASSIGNED
            - BACKORDER
            - CANCELED
            - FULFILLED
            - CUSTOMER_CARE
            - DELETED
            - FUTURE
          type: string
        shipmentStatusReason:
          $ref: '#/components/schemas/FulfillmentShipmentStatusReason'
        shipmentType:
          type: string
        shippingAdjustment:
          format: bigdecimal
          type: number
        shippingMethodCode:
          type: string
        shippingMethodName:
          type: string
        shippingSubtotal:
          format: bigdecimal
          type: number
        shippingTaxAdjustment:
          format: bigdecimal
          type: number
        shippingTaxTotal:
          format: bigdecimal
          type: number
        shippingTotal:
          format: bigdecimal
          type: number
        shopperNotes:
          $ref: '#/components/schemas/FulfillmentFulfillmentShopperNotes'
        siteId:
          format: int32
          type: integer
        taxData:
          type: object
        tenantId:
          format: int32
          type: integer
        total:
          format: bigdecimal
          type: number
        transferShipmentNumbers:
          items:
            format: int32
            type: integer
          type: array
        transferredItems:
          items:
            $ref: '#/components/schemas/TransferredItem'
          type: array
        transitTime:
          type: string
        userId:
          type: string
        workflowProcessContainerId:
          type: string
        workflowProcessId:
          type: string
        workflowState:
          $ref: '#/components/schemas/FulfillmentWorkflowState'
      required:
        - orderId
        - orderNumber
        - shipmentType
        - total
      title: EntityModelOfShipment
      type: object
    FulfillmentAuditInfo:
      properties:
        createBy:
          type: string
        createDate:
          format: date-time
          type: string
        updateBy:
          type: string
        updateDate:
          format: date-time
          type: string
      title: AuditInfo
      type: object
    FulfillmentPackageMeasurements:
      properties:
        attributes:
          additionalProperties:
            type: object
          type: object
        height:
          $ref: '#/components/schemas/FulfillmentMeasurement'
        length:
          $ref: '#/components/schemas/FulfillmentMeasurement'
        weight:
          $ref: '#/components/schemas/FulfillmentMeasurement'
        width:
          $ref: '#/components/schemas/FulfillmentMeasurement'
      title: PackageMeasurements
      type: object
    PackingSlipItemDetailDto:
      properties:
        attributes:
          additionalProperties:
            type: object
          type: object
        lineId:
          format: int32
          type: integer
        originalOrderItemId:
          type: string
        quantity:
          format: int32
          type: integer
      title: PackingSlipItemDetailDto
      type: object
    FulfillmentTracking:
      properties:
        attributes:
          additionalProperties:
            type: object
          type: object
        number:
          type: string
        url:
          type: string
      title: Tracking
      type: object
    Links:
      properties:
        empty:
          type: boolean
      title: Links
      type: object
    FulfillmentContact:
      properties:
        address:
          $ref: '#/components/schemas/FulfillmentAddress'
        attributes:
          additionalProperties:
            type: object
          type: object
        companyOrOrganization:
          type: string
        email:
          type: string
        firstName:
          type: string
        fullName:
          type: string
        id:
          format: int32
          type: integer
        lastNameOrSurname:
          type: string
        middleNameOrInitial:
          type: string
        phoneNumbers:
          $ref: '#/components/schemas/FulfillmentPhone'
        shortFullName:
          type: string
      title: Contact
      type: object
    FulfillmentAppeasementReason:
      properties:
        moreInfo:
          type: string
        reasonCode:
          type: string
      title: AppeasementReason
      type: object
    AuditInfo0:
      properties:
        createBy:
          type: string
        createDate:
          format: date-time
          type: string
        updateBy:
          type: string
        updateDate:
          format: date-time
          type: string
      title: AuditInfo0
      type: object
    CanceledItem:
      properties:
        actualPrice:
          format: bigdecimal
          type: number
        allocatedQuantity:
          format: int32
          type: integer
        allowsBackOrder:
          type: boolean
        allowsFutureAllocate:
          type: boolean
        appeasementReason:
          $ref: '#/components/schemas/FulfillmentAppeasementReason'
        attributes:
          additionalProperties:
            type: object
          type: object
        auditInfo:
          $ref: '#/components/schemas/AuditInfo0'
        backorderReleaseDate:
          format: date-time
          type: string
        blockAssignment:
          type: boolean
        canceledReason:
          $ref: '#/components/schemas/FulfillmentCanceledReason'
        cartItemId:
          type: string
        childItemIds:
          items:
            type: string
          type: array
        creditCurrencyCode:
          type: string
        creditValue:
          format: bigdecimal
          type: number
        data:
          additionalProperties:
            type: object
          type: object
        duty:
          format: bigdecimal
          type: number
        expectedDeliveryDate:
          format: date-time
          type: string
        fulfillmentFields:
          items:
            $ref: '#/components/schemas/FulfillmentFulfillmentField'
          type: array
        giftCards:
          items:
            $ref: '#/components/schemas/FulfillmentGiftCard'
          type: array
        goodsType:
          enum:
            - Physical
            - Digital
            - DigitalCredit
            - DigitalGiftCard
            - Service
          type: string
        handling:
          format: bigdecimal
          type: number
        handlingDiscount:
          format: bigdecimal
          type: number
        handlingTax:
          format: bigdecimal
          type: number
        imageUrl:
          type: string
        inventoryTags:
          items:
            $ref: '#/components/schemas/FulfillmentInventoryTag'
          type: array
        isAssemblyRequired:
          type: boolean
        isPackagedStandAlone:
          type: boolean
        isReservedInventory:
          type: boolean
        isTaxable:
          type: boolean
        itemDiscount:
          format: bigdecimal
          type: number
        itemTax:
          format: bigdecimal
          type: number
        lineId:
          format: int32
          type: integer
        lineItemAdjustment:
          format: bigdecimal
          type: number
        lineItemCost:
          format: bigdecimal
          type: number
        locatorName:
          type: string
        manageStock:
          type: boolean
        name:
          type: string
        optionAttributeFQN:
          type: string
        options:
          items:
            $ref: '#/components/schemas/FulfillmentProductOption'
          type: array
        originalOrderItemId:
          type: string
        originalQuantity:
          format: int32
          type: integer
        overridePrice:
          format: bigdecimal
          type: number
        parentItemId:
          type: string
        partNumber:
          type: string
        productCode:
          type: string
        quantity:
          format: int32
          type: integer
        readyForPickupQuantity:
          format: int32
          type: integer
        shipping:
          format: bigdecimal
          type: number
        shippingDiscount:
          format: bigdecimal
          type: number
        shippingTax:
          format: bigdecimal
          type: number
        sku:
          type: string
        taxData:
          type: object
        taxableHandling:
          format: bigdecimal
          type: number
        taxableLineItemCost:
          format: bigdecimal
          type: number
        taxableShipping:
          format: bigdecimal
          type: number
        transferQuantity:
          description: This is deprecated.
          format: int32
          type: integer
        trueTransferQuantity:
          description: This is the actual quantity transferred.
          format: int32
          type: integer
        unitPrice:
          format: bigdecimal
          type: number
        upc:
          type: string
        variationProductCode:
          type: string
        weight:
          format: bigdecimal
          type: number
        weightUnit:
          type: string
        weightedDutyAdjustment:
          format: bigdecimal
          type: number
        weightedHandlingAdjustment:
          format: bigdecimal
          type: number
        weightedHandlingTaxAdjustment:
          format: bigdecimal
          type: number
        weightedLineItemTaxAdjustment:
          format: bigdecimal
          type: number
        weightedShipmentAdjustment:
          format: bigdecimal
          type: number
        weightedShippingAdjustment:
          format: bigdecimal
          type: number
        weightedShippingTaxAdjustment:
          format: bigdecimal
          type: number
      required:
        - handling
        - handlingTax
        - itemTax
        - lineId
        - quantity
        - shipping
        - shippingTax
      title: CanceledItem
      type: object
    FulfillmentChangeMessage:
      properties:
        amount:
          format: bigdecimal
          type: number
        appId:
          type: string
        appKey:
          type: string
        appName:
          type: string
        appeasementReason:
          $ref: '#/components/schemas/FulfillmentAppeasementReason'
        attributes:
          additionalProperties:
            type: object
          type: object
        changeMessageId:
          type: string
        correlationId:
          type: string
        createdDate:
          format: date-time
          type: string
        identifier:
          type: string
        message:
          type: string
        metadata:
          type: string
        newValue:
          type: string
        oldValue:
          type: string
        subject:
          type: string
        subjectType:
          type: string
        success:
          type: boolean
        userDisplayName:
          type: string
        userFirstName:
          type: string
        userId:
          type: string
        userLastName:
          type: string
        verb:
          type: string
      title: ChangeMessage
      type: object
    FulfillmentCustomer:
      properties:
        customerContact:
          $ref: '#/components/schemas/FulfillmentContact'
        data:
          type: object
        isDestinationCommercial:
          type: boolean
      title: Customer
      type: object
    FulfillmentDestination:
      properties:
        data:
          type: object
        destinationContact:
          $ref: '#/components/schemas/FulfillmentContact'
        isDestinationCommercial:
          type: boolean
        locationCode:
          type: string
      title: Destination
      type: object
    FulfillmentItem:
      properties:
        actualPrice:
          format: bigdecimal
          type: number
        allocatedQuantity:
          format: int32
          type: integer
        allowsBackOrder:
          type: boolean
        allowsFutureAllocate:
          type: boolean
        appeasementReason:
          $ref: '#/components/schemas/FulfillmentAppeasementReason'
        attributes:
          additionalProperties:
            type: object
          type: object
        auditInfo:
          $ref: '#/components/schemas/AuditInfo0'
        backorderReleaseDate:
          format: date-time
          type: string
        cartItemId:
          type: string
        childItemIds:
          items:
            type: string
          type: array
        creditCurrencyCode:
          type: string
        creditValue:
          format: bigdecimal
          type: number
        data:
          additionalProperties:
            type: object
          type: object
        duty:
          format: bigdecimal
          type: number
        expectedDeliveryDate:
          format: date-time
          type: string
        fulfillmentFields:
          items:
            $ref: '#/components/schemas/FulfillmentFulfillmentField'
          type: array
        giftCards:
          items:
            $ref: '#/components/schemas/FulfillmentGiftCard'
          type: array
        goodsType:
          enum:
            - Digital
            - DigitalCredit
            - DigitalGiftCard
            - Physical
            - Service
          type: string
        handling:
          format: bigdecimal
          type: number
        handlingDiscount:
          format: bigdecimal
          type: number
        handlingTax:
          format: bigdecimal
          type: number
        imageUrl:
          type: string
        inventoryTags:
          items:
            $ref: '#/components/schemas/FulfillmentInventoryTag'
          type: array
        isAssemblyRequired:
          type: boolean
        isPackagedStandAlone:
          type: boolean
        isReservedInventory:
          type: boolean
        isTaxable:
          type: boolean
        itemDiscount:
          format: bigdecimal
          type: number
        itemTax:
          format: bigdecimal
          type: number
        lineId:
          format: int32
          type: integer
        lineItemAdjustment:
          format: bigdecimal
          type: number
        lineItemCost:
          format: bigdecimal
          type: number
        locatorName:
          type: string
        manageStock:
          type: boolean
        name:
          type: string
        optionAttributeFQN:
          type: string
        options:
          items:
            $ref: '#/components/schemas/FulfillmentProductOption'
          type: array
        originalOrderItemId:
          type: string
        overridePrice:
          format: bigdecimal
          type: number
        parentItemId:
          type: string
        partNumber:
          type: string
        productCode:
          type: string
        quantity:
          format: int32
          type: integer
        readyForPickupQuantity:
          format: int32
          type: integer
        shipping:
          format: bigdecimal
          type: number
        shippingDiscount:
          format: bigdecimal
          type: number
        shippingTax:
          format: bigdecimal
          type: number
        sku:
          type: string
        taxData:
          type: object
        taxableHandling:
          format: bigdecimal
          type: number
        taxableLineItemCost:
          format: bigdecimal
          type: number
        taxableShipping:
          format: bigdecimal
          type: number
        transferQuantity:
          format: int32
          type: integer
        trueTransferQuantity:
          format: int32
          type: integer
        unitPrice:
          format: bigdecimal
          type: number
        upc:
          type: string
        variationProductCode:
          type: string
        weight:
          format: bigdecimal
          type: number
        weightUnit:
          type: string
        weightedDutyAdjustment:
          format: bigdecimal
          type: number
        weightedHandlingAdjustment:
          format: bigdecimal
          type: number
        weightedHandlingTaxAdjustment:
          format: bigdecimal
          type: number
        weightedLineItemTaxAdjustment:
          format: bigdecimal
          type: number
        weightedShipmentAdjustment:
          format: bigdecimal
          type: number
        weightedShippingAdjustment:
          format: bigdecimal
          type: number
        weightedShippingTaxAdjustment:
          format: bigdecimal
          type: number
      required:
        - handling
        - handlingTax
        - itemTax
        - lineId
        - quantity
        - shipping
        - shippingTax
      title: Item
      type: object
    ReassignedItem:
      properties:
        actualPrice:
          format: bigdecimal
          type: number
        allocatedQuantity:
          format: int32
          type: integer
        allowsBackOrder:
          type: boolean
        allowsFutureAllocate:
          type: boolean
        appeasementReason:
          $ref: '#/components/schemas/FulfillmentAppeasementReason'
        attributes:
          additionalProperties:
            type: object
          type: object
        auditInfo:
          $ref: '#/components/schemas/AuditInfo0'
        backorderReleaseDate:
          format: date-time
          type: string
        blockAssignment:
          example: false
          type: boolean
        cartItemId:
          type: string
        childItemIds:
          items:
            type: string
          type: array
        creditCurrencyCode:
          type: string
        creditValue:
          format: bigdecimal
          type: number
        data:
          additionalProperties:
            type: object
          type: object
        duty:
          format: bigdecimal
          type: number
        expectedDeliveryDate:
          format: date-time
          type: string
        fulfillmentFields:
          items:
            $ref: '#/components/schemas/FulfillmentFulfillmentField'
          type: array
        fulfillmentLocationCode:
          type: string
        giftCards:
          items:
            $ref: '#/components/schemas/FulfillmentGiftCard'
          type: array
        goodsType:
          enum:
            - Physical
            - Digital
            - DigitalCredit
            - DigitalGiftCard
            - Service
          type: string
        handling:
          format: bigdecimal
          type: number
        handlingDiscount:
          format: bigdecimal
          type: number
        handlingTax:
          format: bigdecimal
          type: number
        imageUrl:
          type: string
        inventoryTags:
          items:
            $ref: '#/components/schemas/FulfillmentInventoryTag'
          type: array
        isAssemblyRequired:
          type: boolean
        isPackagedStandAlone:
          type: boolean
        isReservedInventory:
          type: boolean
        isTaxable:
          type: boolean
        itemDiscount:
          format: bigdecimal
          type: number
        itemTax:
          format: bigdecimal
          type: number
        lineId:
          format: int32
          type: integer
        lineItemAdjustment:
          format: bigdecimal
          type: number
        lineItemCost:
          format: bigdecimal
          type: number
        locatorName:
          type: string
        manageStock:
          type: boolean
        name:
          type: string
        optionAttributeFQN:
          type: string
        options:
          items:
            $ref: '#/components/schemas/FulfillmentProductOption'
          type: array
        originalOrderItemId:
          type: string
        originalQuantity:
          format: int32
          type: integer
        overridePrice:
          format: bigdecimal
          type: number
        parentItemId:
          type: string
        partNumber:
          type: string
        productCode:
          type: string
        quantity:
          format: int32
          type: integer
        readyForPickupQuantity:
          format: int32
          type: integer
        reassignedReason:
          $ref: '#/components/schemas/ReassignedReason'
        shipping:
          format: bigdecimal
          type: number
        shippingDiscount:
          format: bigdecimal
          type: number
        shippingTax:
          format: bigdecimal
          type: number
        sku:
          type: string
        taxData:
          type: object
        taxableHandling:
          format: bigdecimal
          type: number
        taxableLineItemCost:
          format: bigdecimal
          type: number
        taxableShipping:
          format: bigdecimal
          type: number
        transferQuantity:
          description: This is deprecated.
          format: int32
          type: integer
        trueTransferQuantity:
          description: This is the actual quantity transferred.
          format: int32
          type: integer
        unitPrice:
          format: bigdecimal
          type: number
        upc:
          type: string
        variationProductCode:
          type: string
        weight:
          format: bigdecimal
          type: number
        weightUnit:
          type: string
        weightedDutyAdjustment:
          format: bigdecimal
          type: number
        weightedHandlingAdjustment:
          format: bigdecimal
          type: number
        weightedHandlingTaxAdjustment:
          format: bigdecimal
          type: number
        weightedLineItemTaxAdjustment:
          format: bigdecimal
          type: number
        weightedShipmentAdjustment:
          format: bigdecimal
          type: number
        weightedShippingAdjustment:
          format: bigdecimal
          type: number
        weightedShippingTaxAdjustment:
          format: bigdecimal
          type: number
      required:
        - handling
        - handlingTax
        - itemTax
        - lineId
        - quantity
        - shipping
        - shippingTax
      title: ReassignedItem
      type: object
    RejectedItem:
      properties:
        actualPrice:
          format: bigdecimal
          type: number
        allocatedQuantity:
          format: int32
          type: integer
        allowsBackOrder:
          type: boolean
        allowsFutureAllocate:
          type: boolean
        appeasementReason:
          $ref: '#/components/schemas/FulfillmentAppeasementReason'
        attributes:
          additionalProperties:
            type: object
          type: object
        auditInfo:
          $ref: '#/components/schemas/AuditInfo0'
        backorderReleaseDate:
          format: date-time
          type: string
        blockAssignment:
          example: false
          type: boolean
        cartItemId:
          type: string
        childItemIds:
          items:
            type: string
          type: array
        creditCurrencyCode:
          type: string
        creditValue:
          format: bigdecimal
          type: number
        data:
          additionalProperties:
            type: object
          type: object
        duty:
          format: bigdecimal
          type: number
        expectedDeliveryDate:
          format: date-time
          type: string
        fulfillmentFields:
          items:
            $ref: '#/components/schemas/FulfillmentFulfillmentField'
          type: array
        giftCards:
          items:
            $ref: '#/components/schemas/FulfillmentGiftCard'
          type: array
        goodsType:
          enum:
            - Physical
            - Digital
            - DigitalCredit
            - DigitalGiftCard
            - Service
          type: string
        handling:
          format: bigdecimal
          type: number
        handlingDiscount:
          format: bigdecimal
          type: number
        handlingTax:
          format: bigdecimal
          type: number
        imageUrl:
          type: string
        inventoryTags:
          items:
            $ref: '#/components/schemas/FulfillmentInventoryTag'
          type: array
        isAssemblyRequired:
          type: boolean
        isPackagedStandAlone:
          type: boolean
        isReservedInventory:
          type: boolean
        isTaxable:
          type: boolean
        itemDiscount:
          format: bigdecimal
          type: number
        itemTax:
          format: bigdecimal
          type: number
        lineId:
          format: int32
          type: integer
        lineItemAdjustment:
          format: bigdecimal
          type: number
        lineItemCost:
          format: bigdecimal
          type: number
        locatorName:
          type: string
        manageStock:
          type: boolean
        name:
          type: string
        optionAttributeFQN:
          type: string
        options:
          items:
            $ref: '#/components/schemas/FulfillmentProductOption'
          type: array
        originalOrderItemId:
          type: string
        originalQuantity:
          format: int32
          type: integer
        overridePrice:
          format: bigdecimal
          type: number
        parentItemId:
          type: string
        partNumber:
          type: string
        productCode:
          type: string
        quantity:
          format: int32
          type: integer
        readyForPickupQuantity:
          format: int32
          type: integer
        rejectedReason:
          $ref: '#/components/schemas/RejectedReason'
        shipping:
          format: bigdecimal
          type: number
        shippingDiscount:
          format: bigdecimal
          type: number
        shippingTax:
          format: bigdecimal
          type: number
        sku:
          type: string
        taxData:
          type: object
        taxableHandling:
          format: bigdecimal
          type: number
        taxableLineItemCost:
          format: bigdecimal
          type: number
        taxableShipping:
          format: bigdecimal
          type: number
        transferQuantity:
          description: This is deprecated.
          format: int32
          type: integer
        trueTransferQuantity:
          description: This is the actual quantity transferred.
          format: int32
          type: integer
        unitPrice:
          format: bigdecimal
          type: number
        upc:
          type: string
        variationProductCode:
          type: string
        weight:
          format: bigdecimal
          type: number
        weightUnit:
          type: string
        weightedDutyAdjustment:
          format: bigdecimal
          type: number
        weightedHandlingAdjustment:
          format: bigdecimal
          type: number
        weightedHandlingTaxAdjustment:
          format: bigdecimal
          type: number
        weightedLineItemTaxAdjustment:
          format: bigdecimal
          type: number
        weightedShipmentAdjustment:
          format: bigdecimal
          type: number
        weightedShippingAdjustment:
          format: bigdecimal
          type: number
        weightedShippingTaxAdjustment:
          format: bigdecimal
          type: number
      required:
        - handling
        - handlingTax
        - itemTax
        - lineId
        - quantity
        - shipping
        - shippingTax
      title: RejectedItem
      type: object
    FulfillmentShipmentNote:
      properties:
        attributes:
          additionalProperties:
            type: object
          type: object
        auditInfo:
          $ref: '#/components/schemas/FulfillmentAuditInfo'
        noteId:
          type: string
        noteText:
          type: string
        role:
          type: string
        username:
          type: string
      title: ShipmentNote
      type: object
    FulfillmentShipmentStatusReason:
      properties:
        moreInfo:
          type: string
        reasonCode:
          type: string
      title: ShipmentStatusReason
      type: object
    FulfillmentFulfillmentShopperNotes:
      properties:
        comments:
          type: string
        deliveryInstructions:
          type: string
        giftMessage:
          type: string
      title: ShopperNotes
      type: object
    TransferredItem:
      properties:
        actualPrice:
          format: bigdecimal
          type: number
        allocatedQuantity:
          format: int32
          type: integer
        allowsBackOrder:
          type: boolean
        allowsFutureAllocate:
          type: boolean
        appeasementReason:
          $ref: '#/components/schemas/FulfillmentAppeasementReason'
        attributes:
          additionalProperties:
            type: object
          type: object
        auditInfo:
          $ref: '#/components/schemas/AuditInfo0'
        backorderReleaseDate:
          format: date-time
          type: string
        blockAssignment:
          type: boolean
        cartItemId:
          type: string
        childItemIds:
          items:
            type: string
          type: array
        creditCurrencyCode:
          type: string
        creditValue:
          format: bigdecimal
          type: number
        data:
          additionalProperties:
            type: object
          type: object
        duty:
          format: bigdecimal
          type: number
        expectedDeliveryDate:
          format: date-time
          type: string
        fulfillmentFields:
          items:
            $ref: '#/components/schemas/FulfillmentFulfillmentField'
          type: array
        fulfillmentLocationCode:
          type: string
        giftCards:
          items:
            $ref: '#/components/schemas/FulfillmentGiftCard'
          type: array
        goodsType:
          enum:
            - Physical
            - Digital
            - DigitalCredit
            - DigitalGiftCard
            - Service
          type: string
        handling:
          format: bigdecimal
          type: number
        handlingDiscount:
          format: bigdecimal
          type: number
        handlingTax:
          format: bigdecimal
          type: number
        imageUrl:
          type: string
        inventoryTags:
          items:
            $ref: '#/components/schemas/FulfillmentInventoryTag'
          type: array
        isAssemblyRequired:
          type: boolean
        isPackagedStandAlone:
          type: boolean
        isReservedInventory:
          type: boolean
        isTaxable:
          type: boolean
        itemDiscount:
          format: bigdecimal
          type: number
        itemTax:
          format: bigdecimal
          type: number
        lineId:
          format: int32
          type: integer
        lineItemAdjustment:
          format: bigdecimal
          type: number
        lineItemCost:
          format: bigdecimal
          type: number
        locatorName:
          type: string
        manageStock:
          type: boolean
        name:
          type: string
        optionAttributeFQN:
          type: string
        options:
          items:
            $ref: '#/components/schemas/FulfillmentProductOption'
          type: array
        originalOrderItemId:
          type: string
        originalQuantity:
          format: int32
          type: integer
        overridePrice:
          format: bigdecimal
          type: number
        parentItemId:
          type: string
        partNumber:
          type: string
        productCode:
          type: string
        quantity:
          format: int32
          type: integer
        readyForPickupQuantity:
          format: int32
          type: integer
        rejectedReason:
          $ref: '#/components/schemas/RejectedReason'
        shipping:
          format: bigdecimal
          type: number
        shippingDiscount:
          format: bigdecimal
          type: number
        shippingTax:
          format: bigdecimal
          type: number
        sku:
          type: string
        taxData:
          type: object
        taxableHandling:
          format: bigdecimal
          type: number
        taxableLineItemCost:
          format: bigdecimal
          type: number
        taxableShipping:
          format: bigdecimal
          type: number
        transferQuantity:
          description: This is deprecated.
          format: int32
          type: integer
        trueTransferQuantity:
          description: This is the actual quantity transferred.
          format: int32
          type: integer
        unitPrice:
          format: bigdecimal
          type: number
        upc:
          type: string
        variationProductCode:
          type: string
        weight:
          format: bigdecimal
          type: number
        weightUnit:
          type: string
        weightedDutyAdjustment:
          format: bigdecimal
          type: number
        weightedHandlingAdjustment:
          format: bigdecimal
          type: number
        weightedHandlingTaxAdjustment:
          format: bigdecimal
          type: number
        weightedLineItemTaxAdjustment:
          format: bigdecimal
          type: number
        weightedShipmentAdjustment:
          format: bigdecimal
          type: number
        weightedShippingAdjustment:
          format: bigdecimal
          type: number
        weightedShippingTaxAdjustment:
          format: bigdecimal
          type: number
      required:
        - handling
        - handlingTax
        - itemTax
        - lineId
        - quantity
        - shipping
        - shippingTax
      title: TransferredItem
      type: object
    FulfillmentWorkflowState:
      properties:
        activeTaskName:
          type: string
        attributes:
          additionalProperties:
            type: object
          type: object
        auditInfo:
          $ref: '#/components/schemas/AuditInfo0'
        completedDate:
          format: date-time
          type: string
        processInstanceId:
          type: string
        shipmentState:
          type: string
        taskList:
          items:
            $ref: '#/components/schemas/Task'
          type: array
        variables:
          additionalProperties:
            $ref: '#/components/schemas/BpmVariable'
          type: object
      title: WorkflowState
      type: object
    FulfillmentMeasurement:
      properties:
        attributes:
          additionalProperties:
            type: object
          type: object
        unit:
          type: string
        value:
          format: bigdecimal
          type: number
      title: Measurement
      type: object
    FulfillmentAddress:
      properties:
        address1:
          type: string
        address2:
          type: string
        address3:
          type: string
        address4:
          type: string
        addressType:
          enum:
            - Commercial
            - Residential
          type: string
        attributes:
          additionalProperties:
            type: object
          type: object
        cityOrTown:
          type: string
        countryCode:
          type: string
        isValidated:
          type: boolean
        latitude:
          type: string
        longitude:
          type: string
        postalOrZipCode:
          type: string
        stateOrProvince:
          type: string
      title: Address
      type: object
    FulfillmentPhone:
      properties:
        attributes:
          additionalProperties:
            type: object
          type: object
        home:
          type: string
        mobile:
          type: string
        work:
          type: string
      title: Phone
      type: object
    FulfillmentCanceledReason:
      properties:
        moreInfo:
          type: string
        reasonCode:
          type: string
      title: CanceledReason
      type: object
    FulfillmentFulfillmentField:
      properties:
        name:
          type: string
        required:
          type: boolean
        userEnteredValue:
          type: object
      title: FulfillmentField
      type: object
    FulfillmentGiftCard:
      properties:
        activationDate:
          format: date-time
          type: string
        cardNumber:
          type: string
        code:
          type: string
        creditType:
          type: string
        creditValue:
          format: bigdecimal
          type: number
        currencyCode:
          type: string
        currentBalance:
          format: bigdecimal
          type: number
        customerId:
          format: int32
          type: integer
        expirationDate:
          format: date-time
          type: string
        initialBalance:
          format: bigdecimal
          type: number
      title: GiftCard
      type: object
    FulfillmentInventoryTag:
      properties:
        name:
          type: string
        value:
          type: string
      title: InventoryTag
      type: object
    FulfillmentProductOption:
      properties:
        attributeFQN:
          type: string
        attributes:
          additionalProperties:
            type: object
          type: object
        dataType:
          type: string
        name:
          type: string
        shopperEnteredValue:
          type: object
        stringValue:
          type: string
        value:
          type: object
      title: ProductOption
      type: object
    ReassignedReason:
      properties:
        moreInfo:
          type: string
        reasonCode:
          type: string
      title: ReassignedReason
      type: object
    RejectedReason:
      properties:
        moreInfo:
          type: string
        reasonCode:
          type: string
      title: RejectedReason
      type: object
    Task:
      properties:
        _links:
          additionalProperties:
            $ref: '#/components/schemas/FulfillmentLink'
          type: object
        active:
          type: boolean
        completed:
          type: boolean
        completedDate:
          format: date-time
          type: string
        description:
          type: string
        inputs:
          items:
            $ref: '#/components/schemas/FulfillmentTaskInput'
          type: array
        name:
          type: string
        skippable:
          type: boolean
        subject:
          type: string
        taskId:
          type: string
      title: Task
      type: object
    BpmVariable:
      properties:
        name:
          type: string
        oldValue:
          type: string
        updateDate:
          format: date-time
          type: string
        value:
          type: string
      title: BpmVariable
      type: object
    FulfillmentLink:
      properties:
        deprecation:
          type: string
        href:
          type: string
        hreflang:
          type: string
        media:
          type: string
        name:
          type: string
        profile:
          type: string
        rel:
          $ref: '#/components/schemas/LinkRelation'
        title:
          type: string
        type:
          type: string
      title: Link
      type: object
    FulfillmentTaskInput:
      properties:
        helpMessage:
          type: string
        label:
          type: string
        maxLength:
          format: int32
          type: integer
        maximum:
          format: bigdecimal
          type: number
        minLength:
          format: int32
          type: integer
        minimum:
          format: bigdecimal
          type: number
        name:
          type: string
        options:
          items:
            type: object
          type: array
        pattern:
          type: string
        required:
          type: boolean
        type:
          enum:
            - BOOLEAN
            - INTEGER
            - LIST
            - NUMBER
            - OBJECT
            - STRING
            - UNKNOWN
          type: string
      title: TaskInput
      type: object
    LinkRelation:
      title: LinkRelation
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````